package zoznamka;

import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class OsobaTester {
    public static void main(String[] args) {
        Osoba osobaJozef = new Osoba();
        osobaJozef.setMeno("Jozef");
        osobaJozef.setFarbaVlasov("ryšavá");
        
        osobaJozef.setMuz();

        osobaJozef.setVek(23);
        osobaJozef.pridajZalubu("extrémne žehlenie");
        osobaJozef.pridajZalubu("klasická hudba");
        osobaJozef.pridajZalubu("bicyklovanie");

        System.out.println(osobaJozef);

        Osoba osobaZuzana = new Osoba();
        osobaZuzana.setMeno("Zuzana");
        osobaZuzana.setFarbaVlasov("blond");
        osobaZuzana.setZena();
        osobaZuzana.setVek(18);
        osobaZuzana.pridajZalubu("extrémne žehlenie");
        osobaZuzana.pridajZalubu("upratovanie");
        osobaZuzana.pridajZalubu("chov psov");

        System.out.println(osobaZuzana);

        Osoba osobaJana = new Osoba();
        osobaJana.setMeno("Jana");
        osobaJana.setFarbaVlasov("ryšavá");
        osobaJana.setZena();
        osobaJana.setVek(22);
        osobaJana.pridajZalubu("chov psov");
        osobaJana.pridajZalubu("klasická hudba");
        osobaJana.pridajZalubu("čítanie");

        Osoba osobaTatiana = new Osoba();
        osobaTatiana.setMeno("Tatiana");
        osobaTatiana.setFarbaVlasov("tmavá");
        osobaTatiana.setZena();
        osobaTatiana.setVek(24);
        osobaTatiana.pridajZalubu("matematická analýza");
        osobaTatiana.pridajZalubu("kreslenie");
        osobaTatiana.pridajZalubu("WoW");

        System.out.println(osobaTatiana);

        List<Osoba> vsetciPartneri = Arrays.asList(osobaZuzana, osobaJana, osobaTatiana);
        Comparator<Osoba> comparator = new PodlaPreferenciiComparator(osobaJozef);

        Collections.sort(vsetciPartneri, comparator);

        System.out.println(vsetciPartneri);

        System.out.println("Najlepší partner: " + vsetciPartneri.get(vsetciPartneri.size() - 1));
    }
}
